vga_getscansegment(3)

NAME
vga_getscansegment - get a list of consecutive pixel values

SYNOPSIS
#include <vga.h> int vga_getscansegment(unsigned char *colors, int x, int y, int length);

DESCRIPTION
The direct opposite of vga_drawscansegment(). The line of length pixels starting at (x, y) is not drawn but instead the colorvalues are taken from the screen and copied into color[0] .. color[length - 1]. Svgalib versions was introduced in version 1.2.10. In high/truecolor modes, the length must be given in bytes, not pixels.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), vga_clear(3), vga_drawpixel(3), vga_drawline(3), vga_getpixel(3), vga_drawscanline(3), vga_drawscansegment(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The referenced function and its documentation are due to Bill Randle <billr@master.CNA.TEK.COM>.